> ## Documentation Index
> Fetch the complete documentation index at: https://agno-v2-studio-tools-doc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Schedule



## OpenAPI

````yaml /reference-api/openapi.yaml post /schedules/{schedule_id}/trigger
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.5.6
servers: []
security: []
paths:
  /schedules/{schedule_id}/trigger:
    post:
      tags:
        - Schedules
      summary: Trigger Schedule
      operationId: trigger_schedule_schedules__schedule_id__trigger_post
      parameters:
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            title: Schedule Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleRunResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScheduleRunResponse:
      properties:
        id:
          type: string
          title: Id
        schedule_id:
          type: string
          title: Schedule Id
        attempt:
          type: integer
          title: Attempt
        triggered_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Triggered At
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed At
        status:
          type: string
          title: Status
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        input:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input
        output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Output
        requirements:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Requirements
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - schedule_id
        - attempt
        - status
      title: ScheduleRunResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````